Commit 3f71a3b3 authored by Abderrahim Kitouni's avatar Abderrahim Kitouni

meson.build: fix pkg-config generation

The code was previously using glib_dep.version() as a version for gio which
generates an invalid version like "gio-2.0 2.59.1" in the pkg-config file.
parent b7351a39
Pipeline #55319 passed with stage
in 3 minutes and 4 seconds
......@@ -33,9 +33,11 @@ docdir = join_paths(prefix, get_option('datadir'), 'doc', meson.project_name())
libnotify_deps = []
extra_deps = []
glib_req_version = '>= 2.26.0'
gdk_pixbuf_dep = dependency('gdk-pixbuf-2.0')
glib_dep = dependency('glib-2.0', version: '>= 2.26.0')
gio_dep = dependency('gio-2.0', version: glib_dep.version())
glib_dep = dependency('glib-2.0', version: glib_req_version)
gio_dep = dependency('gio-2.0', version: glib_req_version)
gtk_dep = dependency('gtk+-3.0', version: '>= 2.90', required: get_option('tests'))
libnotify_deps = [gdk_pixbuf_dep, gio_dep, glib_dep]
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment